Subject: bug#51489: closed (Re: bug#51489: emacs-shell-command+: 2.3.1 broken, fixed in 2.3.2)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Oct 2021 20:39:02 +0000

Your bug report

#51489: emacs-shell-command+: 2.3.1 broken, fixed in 2.3.2

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51489: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51489
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51489: emacs-shell-command+: 2.3.1 broken, fixed in 2.3.2
From: Nicolas Goaziou <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Oct 2021 22:38:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Christopher Howard <[email-masked]> writes:

> Hello, emacs-shell-command+ 2.3.1 is broken against Emacs 27.2, due to
> a variable `shell-command-buffer-name` not necessarily being defined.
> This problem is I believed fixed in 2.3.2 source which I see puts a
> `bound-and-true-p` wrapper around the variable.

I updated emacs-shell-command+ to 2.3.2. Thank you for the report.

Regards,
-- 
Nicolas Goaziou

Subject: emacs-shell-command+: 2.3.1 broken, fixed in 2.3.2
From: Christopher Howard <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 29 Oct 2021 09:54:59 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, emacs-shell-command+ 2.3.1 is broken against Emacs 27.2, due to
a variable `shell-command-buffer-name` not necessarily being defined.
This problem is I believed fixed in 2.3.2 source which I see puts a
`bound-and-true-p` wrapper around the variable.

```
christopher@theoden ~$ neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System c6adc0947396daa6d85ab08837f9cbc86f4d8722 x86_64 
Host: OptiPlex 9020 00 
Kernel: 5.14.14-gnu 
Uptime: 2 days, 18 hours, 11 mins 
Packages: 91 (guix-system), 129 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1080 
DE: GNOME 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: Intel HD Graphics 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
Memory: 4345MiB / 7869MiB 
```

-- 
Christopher Howard
Gemini capsule: gemini://gem.librehacker.com
Web viewer: https://portal.mozz.us/gemini/gem.librehacker.com